//PROGRAMM FOR BLINKING LED
//
// PROCESSOR : PIC16F877A
// CLOCK	 : 20MHz, EXTERNAL

#include	<pic18.h>

__CONFIG(1, HS & FCMDIS & IESODIS);
__CONFIG(2, VREGDIS & PWRTEN & BORDIS & WDTDIS);
__CONFIG(3, MCLREN);
__CONFIG(4, XINSTDIS & LVPDIS);


//Just simple delay
void Delay(unsigned long cntr) {
	while (--cntr != 0);
}

// Main function
void main(void) {
	

	INTCON 	= 0x0;			// Disable inerupt
	CMCON 	= 0x07;		    // Comparators Off
	ADCON1  = 0x06;			// Port as Digital IO
	RDPU    = 0;			// Disable pull ups
	CCP1CON = 0; 			// P1B, P1C, P1D assigned as port pins
	TRISD3 	= 0;			// Led pin as output
	


	// loop forever - echo 
	while(1) {

		// Toggle led
		PORTD ^= 0x08;
		// Simple delay
		Delay(50000);
	}	
}